Subject: Re: [bug#60429] [PATCH v2 4/5] gnu: yosys: Propagate external dependencies.

From: Simon South <[email-masked]>
Date: Thu, 09 Feb 2023 11:47:04 -0500

Liliana Marie Prikler <[email-masked]> writes:
> You should instead try:

That would be a nice approach but I don't really want to start modifying
the source code.

I'll send out a v3 of the remaining patches that keeps the 'fix-paths
phase (and updates Yosys to 0.26, since that came out yesterday).

Embedding store references directly in source code still feels ugly to
me but I can see how propagating packages just creates a different
problem.  Pity there isn't an elegant way to specify a package should
"use this input, but not exclusively" (though at least there's "guix
build --with-input").

--
Simon South
[email-masked]